<!--
  ~ (c) Copyright 2024 Swiss Post Ltd.
  -->
<div class="container position-relative">
	<vp-backenderror
			[exclude]="[ErrorMessage.ConfirmationKeyIncorrect, ErrorMessage.ConfirmationKeyInvalid, ErrorMessage.ConfirmationAttemptsExceeded]"
			class="sticky-top pt-1"
	></vp-backenderror>

	<p
			*ngIf="sentButNotCast$ | async"
			class="alert alert-warning d-flex align-items-start gap-3"
			id="warningSentButNotCast"
			role="alert"
	>
		{{ 'verify.warning.abandonedprocess' | translate }}
	</p>

	<h1 class="mt-5">{{ 'verify.main.verifyandcast' | translate }}</h1>
	<p class="lead mt-2">
		{{ 'verify.main.seegeneratedchoices' | translate }}
	</p>

	<div class="card my-5">
		<div class="card-header">
			<h2 class="card-title gap-3 h4">
				<vp-icon class="voting-card-symbol" name="voting-card-diamond"></vp-icon>
				<span>{{ 'verify.main.choicecodes' | translate }}</span>
			</h2>
			<button
					(click)="showFAQ(FAQSection.WhatAreChoiceReturnCodes)"
					class="btn btn-link"
					id="show-faq-choice-codes-link"
					type="button"
			>
				<vp-icon name="question-circle"></vp-icon>
				<span>{{ 'verify.main.choicecodes.help' | translate }}</span>
			</button>
		</div>
		<div
				*ngIf="sendVoteResponseAndContests$ | async as data"
				class="card-body"
		>
			<div
					*ngFor="let contestVerifyData of data; first as isFirst"
					[class.mt-5]="!isFirst"
					class="ballot-group"
			>
				<vp-verify-contest-container
						[contestVerifyData]="contestVerifyData"
				></vp-verify-contest-container>
			</div>
		</div>
	</div>

	<form
		#keyForm="ngForm"
		(ngSubmit)="cast()"
		[formGroup]="confirmationKeyForm"
		autocomplete="off"
		novalidate
		spellcheck="false"
	>
		<p class="lead">
        <span>{{
			'verify.main.docodesmatch' | translate
			}}</span>

			<br/>

			<button
					(click)="showFAQ(FAQSection.WhatIfCodesDoNotMatch)"
					class="btn btn-link align-with-text"
					id="show-faq-codes-do-not-match-link"
					type="button"
			>
				<vp-icon name="question-circle"></vp-icon>
				<span>{{ 'verify.help.codesdonotmatch' | translate }}</span>
			</button>
		</p>

		<div class="card my-5">
			<div class="card-header">
				<h2 class="card-title h4">
					<label class="d-flex align-items-center gap-3" for="confirmationKey">
						<vp-icon class="voting-card-symbol" name="voting-card-pentagon"></vp-icon>
						<span>{{ 'verify.confirmationkey.label' | translate }}</span>
					</label>
				</h2>

				<button
						(click)="showFAQ(FAQSection.WhatIsConfirmationKey)"
						class="btn btn-link"
						id="show-faq-whatis-confirmationkey-link"
						type="button"
				>
					<vp-icon name="question-circle"></vp-icon>
					<span>{{ 'verify.confirmationkey.help' | translate }}</span>
				</button>
			</div>

			<div class="card-body">
				<vp-clearable-input buttonLabel="verify.confirmationkey.clear">
					<textarea
						#confirmationKeyInput
						[class.is-invalid]="keyForm.submitted && confirmationKey?.invalid || confirmationKeyInvalidBackendError.error || confirmationKeyIncorrectBackendError.error"
						[formControl]="confirmationKey"
						aria-describedby="confirmation-key-required confirmation-key-invalid confirmation-key-incorrect"
						class="form-control form-control-lg form-control-monospace"
						id="confirmationKey"
						mask="0000 0000 0"
						required
						vpMultilineInput
					></textarea>
				</vp-clearable-input>

				<p
						*ngIf="confirmationKey?.invalid && keyForm.submitted && !confirmationKeyInvalidBackendError.error && !confirmationKeyIncorrectBackendError.error"
						class="alert alert-warning mt-3"
						id="confirmation-key-required"
				>
					{{ 'verify.confirmationkey.required' | translate }}
				</p>

				<vp-backenderror
					#confirmationKeyInvalidBackendError
					[includeOnly]="[ErrorMessage.ConfirmationKeyInvalid, ErrorMessage.ConfirmationAttemptsExceeded]"
					alertId="confirmation-key-invalid"
					class="mt-3"
				></vp-backenderror>

				<vp-backenderror
					#confirmationKeyIncorrectBackendError
					[includeOnly]="[ErrorMessage.ConfirmationKeyIncorrect]"
					alertId="confirmation-key-incorrect"
					class="mt-3"
				></vp-backenderror>
			</div>
		</div>

		<div
				class="alert alert-primary d-flex align-items-start gap-3"
				id="verify-main-warning-voteiscast"
		>
			<vp-icon name="info-circle-fill"></vp-icon>
			<div>
				<ng-container *vpTranslationList="'verify.main.warning.voteiscast'; key as infoParagraph">
					<p *ngIf="infoParagraph!==''" [innerHTML]="infoParagraph | translate"></p>
				</ng-container>
			</div>
		</div>

		<div class="footer-nav my-5 d-flex flex-column flex-sm-row-reverse gap-4">
			<div aria-live="polite" class="visually-hidden" role="region">
				<p *ngIf="isLoading$ | async">{{ 'common.loadingnextpage' | translate }}</p>
			</div>

			<button
					[disabled]="isLoading$ | async"
					aria-describedby="verify-main-warning-voteiscast"
					class="btn btn-dark btn-lg"
					id="btn_confirm_vote"
					type="submit"
			>
				{{ 'verify.main.castvote' | translate }}

				<span
						*ngIf="isLoading$ | async"
						aria-hidden="true"
						class="spinner-border spinner-border-sm"
						role="status"
				></span>
			</button>

			<button
					(click)="confirmCancel()"
					class="btn btn-link btn-lg"
					id="btn_cancel"
					type="button"
			>
				<vp-icon name="box-arrow-right"></vp-icon>
				<span>{{ 'verify.leaveprocess' | translate }}</span>
			</button>
		</div>
	</form>
</div>
